List payment refunds
curl --request GET \
--url https://prod-api.stableyard.fi/v2/payments/{paymentId}/refunds \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://prod-api.stableyard.fi/v2/payments/{paymentId}/refunds"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://prod-api.stableyard.fi/v2/payments/{paymentId}/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"refunds": [
{
"id": "refund_123",
"paymentId": "payment_123",
"status": "created",
"amount": "10.00",
"amountAtomic": "1000000",
"assetCode": "USDC",
"chainId": 1,
"transactionHash": null,
"reasonCode": "duplicate_payment",
"reason": "Requested by partner",
"createdAt": "2026-08-28T10:00:00.000Z",
"broadcastAt": null,
"confirmedAt": null,
"failure": {
"code": null,
"message": null
}
}
],
"nextCursor": null
}{
"error": {
"code": "bad_request",
"message": "The request is invalid"
}
}{
"error": {
"code": "unauthorized",
"message": "Authentication is required"
}
}{
"error": {
"code": "forbidden",
"message": "The credential does not allow this operation"
}
}{
"error": {
"code": "not_found",
"message": "The resource was not found"
}
}{
"error": {
"code": "idempotency_conflict",
"message": "The Idempotency-Key was already used with a different request"
}
}{
"error": {
"code": "chain_config_missing",
"message": "The requested network is not configured for this environment"
}
}{
"error": {
"code": "rate_limited",
"message": "Too many requests"
}
}Refunds
List a payment's refunds
List the refunds created for one Payment, newest first.
GET
/
v2
/
payments
/
{paymentId}
/
refunds
List payment refunds
Returns the refunds belonging to one Payment in reverse chronological order. Page with
limit (up to 100, default 20) and cursor.Authorizations
HTTP Basic auth. Username is the Stableyard app ID. Password is the app secret. The optional Stableyard-Version request header must match the environment pin.
Headers
Optional contract-version assertion. Omit it to use the app environment's pinned version. A different supported version is accepted only after that environment is explicitly migrated.
Available options:
2026-09-09 Path Parameters
The payment_* ID returned when the Payment was created.
Pattern:
^payment_[A-Za-z0-9_-]+$Example:
"payment_123"
Query Parameters
Required range:
1 <= x <= 100Opaque cursor returned as nextCursor by the previous page.